Page MenuHomePhabricator

[SystemZ] Support Swift Calling Convention
ClosedPublic

Authored by bryanpkc on Apr 22 2016, 8:43 AM.

Details

Summary

Port rL265480, rL264754, rL265997 and rL266252 to SystemZ, in order to enable the Swift port on the architecture. SwiftSelf and SwiftError are assigned to R10 and R9, respectively, which are normally callee-saved registers. For more information, see:

RFC: Implementing the Swift calling convention in LLVM and Clang
https://groups.google.com/forum/#!topic/llvm-dev/epDd2w93kZ0

Diff Detail

Event Timeline

bryanpkc updated this revision to Diff 54661.Apr 22 2016, 8:43 AM
bryanpkc retitled this revision from to [SystemZ] Support Swift Calling Convention.
bryanpkc updated this object.
bryanpkc added a subscriber: llvm-commits.
bryanpkc updated this object.Apr 22 2016, 8:43 AM
uweigand accepted this revision.Apr 26 2016, 4:44 PM
uweigand edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Apr 26 2016, 4:44 PM
bryanpkc closed this revision.Apr 27 2016, 5:23 PM

Thanks for the review.